Show / Hide Table of Contents

# Class OpenIddictServerDataProtectionExtensions

Exposes extensions allowing to register the OpenIddict ASP.NET Core Data Protection server services.

##### Inheritance

System.Object
OpenIddictServerDataProtectionExtensions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Microsoft.Extensions.DependencyInjection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class OpenIddictServerDataProtectionExtensions

### Methods

#### UseDataProtection(OpenIddictServerBuilder)

Registers the OpenIddict ASP.NET Core Data Protection server services in the DI container and configures OpenIddict to validate and issue ASP.NET Data Protection-based tokens.

##### Declaration

    public static OpenIddictServerDataProtectionBuilder UseDataProtection(this OpenIddictServerBuilder builder)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerBuilder | builder | The services builder used by OpenIddict to register new services.

##### Returns

Type | Description
--- | ---
OpenIddictServerDataProtectionBuilder | The OpenIddictServerBuilder.

##### Remarks

This extension can be safely called multiple times.

#### UseDataProtection(OpenIddictServerBuilder, Action<OpenIddictServerDataProtectionBuilder>)

Registers the OpenIddict ASP.NET Core Data Protection server services in the DI container and configures OpenIddict to validate and issue ASP.NET Data Protection-based tokens.

##### Declaration

    public static OpenIddictServerBuilder UseDataProtection(this OpenIddictServerBuilder builder, Action<OpenIddictServerDataProtectionBuilder> configuration)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerBuilder | builder | The services builder used by OpenIddict to register new services.
System.Action<OpenIddictServerDataProtectionBuilder> | configuration | The configuration delegate used to configure the server services.

##### Returns

Type | Description
--- | ---
OpenIddictServerBuilder | The OpenIddictServerBuilder.

##### Remarks

This extension can be safely called multiple times.